Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk.vm
Class OPC.Properties

    java.lang.Object
      com.sun.squawk.vm.OPC.Properties

Enclosing class:
  OPC

    public static class OPC.Properties

extends Object

Field Summary
`static int` | `BYTECODE_COUNT` The total number of instructions.
`static int` | `ESCAPE_WIDE_DELTA` The delta that is applied to an opcode >= 256 to get the widened version of the opcode.
`static int` | `FLOAT_BYTECODE_COUNT` The number of floating point instructions.
`static int` | `NON_FLOAT_BYTECODE_COUNT` The number of non-floating point instructions.
`static int` | `WIDE_DELTA` The delta that is applied to an opcode < 256 to get the widened version of the opcode.

Constructor Summary
`OPC.Properties()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NON_FLOAT_BYTECODE_COUNT

    public static final int NON_FLOAT_BYTECODE_COUNT

  The number of non-floating point instructions.

  See Also:
    Constant Field Values

### FLOAT_BYTECODE_COUNT

    public static final int FLOAT_BYTECODE_COUNT

  The number of floating point instructions.

  See Also:
    Constant Field Values

### BYTECODE_COUNT

    public static final int BYTECODE_COUNT

  The total number of instructions.

  See Also:
    Constant Field Values

### WIDE_DELTA

    public static final int WIDE_DELTA

  The delta that is applied to an opcode < 256 to get the widened version of the opcode.

  See Also:
    Constant Field Values

### ESCAPE_WIDE_DELTA

    public static final int ESCAPE_WIDE_DELTA

  The delta that is applied to an opcode >= 256 to get the widened version of the opcode.

  See Also:
    Constant Field Values

Constructor Detail

### OPC.Properties

    public OPC.Properties()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"